/*! PhotoSwipe main CSS by Dmitry Semenov | photoswipe.com | MIT license */
/*
	Styles for basic PhotoSwipe functionality (sliding area, open/close transitions)
*/
/* pswp = photoswipe */
.pswp {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  overflow: hidden;
  -ms-touch-action: none;
  touch-action: none;
  z-index: 1500;
  -webkit-text-size-adjust: 100%;
  /* create separate layer, to avoid paint on window.onscroll in webkit/blink */
  -webkit-backface-visibility: hidden;
  outline: none; }
.pswp * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box; }
.pswp img {
  max-width: none; }

/* style is added when JS option showHideOpacity is set to true */
.pswp--animate_opacity {
  /* 0.001, because opacity:0 doesn't trigger Paint action, which causes lag at start of transition */
  opacity: 0.001;
  will-change: opacity;
  /* for open/close transition */
  -webkit-transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
  transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1); }

.pswp--open {
  display: block; }

.pswp--zoom-allowed .pswp__img {
  /* autoprefixer: off */
  cursor: -webkit-zoom-in;
  cursor: -moz-zoom-in;
  cursor: zoom-in; }

.pswp--zoomed-in .pswp__img {
  /* autoprefixer: off */
  cursor: -webkit-grab;
  cursor: -moz-grab;
  cursor: grab; }

.pswp--dragging .pswp__img {
  /* autoprefixer: off */
  cursor: -webkit-grabbing;
  cursor: -moz-grabbing;
  cursor: grabbing; }

/*
	Background is added as a separate element.
	As animating opacity is much faster than animating rgba() background-color.
*/
.pswp__bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: 0;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-backface-visibility: hidden;
  will-change: opacity; }

.pswp__scroll-wrap {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden; }

.pswp__container,
.pswp__zoom-wrap {
  -ms-touch-action: none;
  touch-action: none;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0; }

/* Prevent selection and tap highlights */
.pswp__container,
.pswp__img {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none; }

.pswp__zoom-wrap {
  position: absolute;
  width: 100%;
  -webkit-transform-origin: left top;
  -ms-transform-origin: left top;
  transform-origin: left top;
  /* for open/close transition */
  -webkit-transition: -webkit-transform 333ms cubic-bezier(0.4, 0, 0.22, 1);
  transition: transform 333ms cubic-bezier(0.4, 0, 0.22, 1); }

.pswp__bg {
  will-change: opacity;
  /* for open/close transition */
  -webkit-transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
  transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1); }

.pswp--animated-in .pswp__bg,
.pswp--animated-in .pswp__zoom-wrap {
  -webkit-transition: none;
  transition: none; }

.pswp__container,
.pswp__zoom-wrap {
  -webkit-backface-visibility: hidden; }

.pswp__item {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  overflow: hidden; }

.pswp__img {
  position: absolute;
  width: auto;
  height: auto;
  top: 0;
  left: 0; }

/*
	stretched thumbnail or div placeholder element (see below)
	style is added to avoid flickering in webkit/blink when layers overlap
*/
.pswp__img--placeholder {
  -webkit-backface-visibility: hidden; }

/*
	div element that matches size of large image
	large image loads on top of it
*/
.pswp__img--placeholder--blank {
  background: #222; }

.pswp--ie .pswp__img {
  width: 100% !important;
  height: auto !important;
  left: 0;
  top: 0; }

/*
	Error message appears when image is not loaded
	(JS option errorMsg controls markup)
*/
.pswp__error-msg {
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  text-align: center;
  font-size: 14px;
  line-height: 16px;
  margin-top: -8px;
  color: #CCC; }

.pswp__error-msg a {
  color: #CCC;
  text-decoration: underline; }

/* CUSTOM */
code, pre {
  font-family:  Menlo, Monaco, monospace;
  font-size: 12px;
  line-height: 1.45;
  color: #333;
  tab-size: 4;
}
pre {
  padding: 0;
  margin: 0;
  overflow: auto;

  word-wrap: normal;

  text-rendering: auto;
  -webkit-font-smoothing: auto;
}
code {
  padding: 3px 5px;
  margin: 0;
  background: #f2f2f2;
  border-radius: 2px;
}
pre code {
  background: none;
  padding: 0;
  border-radius: 0;


}
h3 code {
  font-size: 22px;
  font-weight: normal;
  padding: 6px 10px;
}
h3 code.default {
  font-size: 12px;
  padding: 0;
  background: none;
  opacity: 0.7;
}

.docs p {
  margin: 0;
  padding-bottom: 12px;
  padding-top: 12px;
}
.docs h1 {
  margin-bottom: 32px;
}
.docs h1 a {
  text-decoration: none;
}
.docs h1 a:hover {
  text-decoration: underline;
}
.docs h2 {
  margin: 36px 0 12px;
}
.docs h3 {
  margin: 24px 0 8px 0;
  font-size: 22px;
  line-height: 28px;
}
.docs ul,
.docs ol {
  margin-top: 8px;
  margin-bottom: 8px;
}
.docs li {
  margin: 0;
  padding: 4px 0;
}

.docs-menu {
  position: absolute;
  width: 160px;
  left: 0;
  top: 106px;

}

.docs-menu ul {
  list-style: none;
  margin: 0;
  padding: 25px 0;

  border-top: 1px solid #CCC;
  border-bottom: 1px solid #CCC;
}

.docs-menu__ad {
  padding: 25px 10px;
  border-bottom: 1px solid #CCC;
  font-size: 13px;
  line-height: 17px;
  position: relative;
}
.docs-menu a {
  text-decoration: none;
  width: 100%;
}
a.docs-logo {
  font-weight: 600;
  font-size: 20px;
  margin-bottom: 0;
  text-decoration: none;
}
.docs-menu li {
  list-style: none;
  margin: 0;
  padding:0;
}
a.docs-menu__item--active {
  color: #222;
  font-weight: normal;
}

.codepen-embed {
  margin-left: -30px;
  padding: 16px 30px;
  width: 100%;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
  background-color: #f8f8f8;
  height: 600px;

}
.codepen-embed--disabled {
  height: auto;
}
.codepen-embed p {
  margin-bottom: 0;
}

.docs .highlight {
  border-radius: 2px;
  margin-left: -30px;
  padding: 16px 30px;
  width: 100%;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
  margin-bottom: 26px;
}

.language-css .k {
  color: #0086b3;
}
.language-css .nt {
  color: #63a35c;
}

img {
  width: auto;
  max-width: 100%;
  height: auto;
  border: 0;
}

.video__container {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
  padding-top: 35px;
  height: 0;
  overflow: hidden;
}
.video__container iframe {
  position: absolute;
  top:0;
  left: 0;
  width: 100%;
  height: 100%;
}
.video-desc {
  width: 100%;
  max-width: 740px;
  margin: 12px auto;
}


.row--heading {
  position: relative;
}
.section--head p {
  text-align: left;
  margin-bottom: 24px;
  font-size: 19px;
  line-height: 29px;
}


.section--head .github-button {
  position: absolute;
  right:0;
  top:0;
}
.row--nav {
  text-align: center;
  font-size: 32px;
  line-height: 1.1;
}
.navigation {
  width: 100%;
  background: #F7F7F7;
  position: relative;
  padding: 30px 0;
}
.navigation a {
  text-decoration: none;
  border-bottom: 1px solid #92ABCD;
}

a.twitter-nav-link {
  border: 0;
  margin: 0 0.2em;
}
.twitter-nav-link span {
  border-bottom: 1px solid #92ABCD;
}
.navigation a:hover,
.twitter-nav-link:hover span {
  border-bottom-color: #C00;
}
.twitter-nav-link:before {
  content: '';
  background: url('../test/twitter.svg');
  display: inline-block;
  width: 0.8em;
  height: 0.8em;
  background-size: 0.7em 0.7em;
  background-repeat: no-repeat;
  background-position: 0 0.1em;
  margin-right: 0.1em;
}

span.highlight {
  background:rgb(246, 243, 226);
}
.title-block p {
  font-size: 22px;
  line-height: 28px;
  max-width: 600px;
  margin-bottom: 24px;

}

p, ul.text-list {
  color: #444;
}
.section--head p,
.title-block p {
  color: #666;
}

.title-block p {
  font-size: 19px;
  line-height: 29px;
}

.section {
  width: 100%;
  margin-top: 176px;
}
.docs {
  margin-top: 60px;
}
.section--head {
  margin: 0;
  background: #EEE;
  /*background: linear-gradient(180deg, #eee 0%,#fff 100%);*/
  padding: 132px 0;
}

.row--docs {
  max-width: 960px;
  padding-left: 210px;
}
.row--heading {
  margin-top: 0;
  margin-bottom: 0;
}
.row--footer {
  text-align: center;
  padding: 132px 0;
}
.row--wide {
  max-width: 1000px;
}
.row--video {
  max-width: 1160px;
}

.row--wide img {
  float: left;
  margin: 0 12px 12px 0;
  width: 200px;
}
img.img--with_border {
  border: 1px solid #DDD;
  border-radius: 2px;
}
.img-desc {
  margin-left: 212px;
}


/* clearfix */
.row:after{
  content: " ";
  visibility: hidden;
  display: block;
  height: 0;
  clear: both;
}
.row--large {
  margin-bottom: 48px;
}


.section--head h1 a {
  vertical-align: super;
  font-size: 14px;
  text-decoration: none;
}


.col-50 {
  width: 48%;
  float: left;
}
.col-50:nth-child(1) {
  margin-right: 4%;
}
.col-img {
  width: auto;
  max-width: 100%;
  height: auto;
}

.style-select {
  width: 100%;
  float: left;
}
.style-select .radio {
  position: relative;
  margin-bottom: 12px;
  display: block;
  float: left;
  width: 100%;
}
.style-select label {
  padding-left: 24px;
  position: relative;
  display: block;
  cursor: pointer;
}
.style-select input {
  position: absolute;
  left:0;
  top:0;
  width:24px;
  height:24px;
  overflow:hidden;
  margin:0;
  padding:0;
  border:0;
  outline:0;
  opacity:0;
  cursor: pointer;

}
.style-select input + label:before {
  content: '';
  position: absolute;
  left:0;
  top:4px;
  background: none;
  border-radius: 50%;
  width:16px;
  height:16px;
  box-sizing: border-box;
  border: 2px solid rgba(0,0,0,0.6);
}
.radio:hover label:before {
  border-color: #3169B3;
}
.style-select input:checked + label:before {
  border-color: #3169B3;
}
.style-select input:checked + label:after {
  content: '';
  position: absolute;
  left: 5px;
  top: 9px;
  width:6px;
  height: 6px;
  background: #3169B3;
  border-radius: 50%;
}


.row--modules ul {
  list-style: none;
  margin-left: 0;
  /*color: rgba(255, 255, 255, 0.8);*/
}
.row--modules span {
  font-weight:600;
  border-left:5px solid #FFF;
  padding-left:5px;
  margin-left:-10px;
}

.size-chart {
  width: 100%;
  display: inline-block;
}

.size-chart div {
  height: 21px;
  float: left;
  font-size: 13px;
  padding: 4px;
  line-height: 1;
}

.block__ui-separated {
  position: relative;
}
.block__ui-separated .col-50 {
  position: absolute;
  left: 0;
  top:12px;
}
.block__ui-separated img {
  float: right;
  max-width: 450px;
}


.demo-gallery {
  width: 100%;
  height: auto;
  float: left;
}


.ukraine-flag {
  width: 21px;
  height: 14px;
  position: relative;
  background: #ffcc00;
  top: 1px;
  display: inline-block;
}
.ukraine-flag:before {
  content:'';
  position: absolute;
  width: 21px;
  height: 7px;
  left:0;
  top:0;
  background: #0066cc;
}

.demo-gallery figure {
  display: none;
}
.demo-gallery__title {
  line-height: 14px;
  font-size: 14px;
  opacity: 0.8;
  margin-top: 5px;
  width: 100%;
  float: left;
}

.share-buttons h2 {
  text-align: center;
  border: 0;

}
.share-buttons {
  text-align: center;
  position: relative;
  margin: 0 0 24px;
}
.share-buttons a {
  -moz-border-radius: 2px;
  border-radius: 2px;
  display: inline-block;
  padding: 10px 20px;
  margin: 10px;
  color: #FFF;
  text-decoration: none;
  background: #5AAF63;
  font-size: 16px;
  line-height: 22px;
  cursor: pointer;
}
.share-buttons a:hover {
  opacity: 0.7;
}
#tweet {
  background: #0096c4;
}
#like {
  background: #3b5998;
}
#gplus {
  background: #d34836;
}



@media screen and (max-width: 1000px) {



  .row--wide {
    max-width: 800px;
  }
  .row--wide img {
    float: none;
  }
  .img-desc {
    margin-left: 0;
  }
  .section {
    margin-top: 132px;
  }

  .row--docs {
    max-width: 800px;
    padding-left: 30px;

  }

  .section--head {
    margin-top:0;
    padding: 30px 0;
  }

  .docs {
    margin-top: 48px;
  }

  .docs-menu {
    position: relative;
    margin: 15px 0;
    left:0;
    top:0;
  }
  .docs-menu  ul {
    position: relative;
  }
  .docs-menu__ad {
    display: none;
  }

  .row--nav {
    font-size: 24px;
    line-height: 1.1;
  }

}



@media screen and (max-width: 650px) {
  h1 {
    font-size: 40px;
  }
  .block__ui-separated .col-50 {
    position: relative;
    top: 0;
  }
  .block__ui-separated img {
    max-width: 100%;
    width: 100%;
    float: left;
  }
}

@media screen and (max-width: 450px) {


  .col-50:nth-child(1) {
    margin-right: 0;
  }
  .row--wide img {
    margin-bottom: 6px;
  }
  .col-50 {
    width: 100%;
    margin-bottom: 12px;
  }
  .row {
    padding: 0 18px;
  }
  .docs .highlight,
  .codepen-embed {
    padding-left: 18px;
    padding-right: 18px;
    margin-left: -18px;
  }
  .section {
    margin-top: 88px;
  }
  .docs {
    margin-top: 32px;
  }
  .section--head {
    margin-top:0;
    padding: 24px 0;
  }
  .row--nav {
    font-size: 18px;
    line-height: 26px;
  }


}

@media screen and (max-width: 700px) {

  .row--nav {
    font-size: 18px;
    line-height: 26px;
  }

  .demo-gallery {
    max-width: 500px;
  }
  a.demo-gallery__img--main {
    width: 164px;
  }
  .section--head p {
    font-size: 18px;
    line-height: 24px;
  }
}


@media screen and (max-width: 450px) {

  a.demo-gallery__img--main {
    width: 127px;
  }
}


@media screen and (max-width: 350px) {

  a.demo-gallery__img--main {
    width: 109px;
  }
}